<template lang="pug">

div

  router-link.create-link(
    :to="slug"
    v-if="type === 'create' && tag !== 'button'")

    font-awesome-icon.create-link__icon(icon="plus")
    span.create-link__text {{ typeOfAction ? typeOfAction : 'Создать' }} {{ linkText }}

  el-button.create-link(
    type="text"
    v-if="type === 'create' && tag === 'button'"
    @click="actionFunction")

    font-awesome-icon.create-link__icon(icon="plus")
    span.create-link__text {{ typeOfAction ? typeOfAction : 'Создать' }} {{ linkText }}

  router-link.create-link.edit-link(
    :to="slug"
    v-if="type === 'update'")

    font-awesome-icon.create-link__icon(icon="edit")
    span.create-link__text(
      @click="goToEdit") {{ typeOfAction ? typeOfAction : 'Редактировать' }} {{ linkText }}

</template>

<script>
export default {
  name: 'CreateLink',
  props: {
    slug: {
      type: [String, Object],
      required: false,
      default: () => {}
    },
    linkText: {
      type: String,
      required: true
    },
    typeOfAction: {
      type: String,
      required: false,
      default: () => ''
    },
    type: {
      type: String,
      required: false,
      default: 'create'
    },
    tag: {
      type: String,
      required: false,
      default: () => ''
    },
    actionFunction: {
      type: Function,
      required: false,
      default: () => console.log('actionFunction')
    }
  },
  data() {
    return {};
  },
  methods: {
    goToEdit() {
      this.$emit('go-to-edit', true);
    }
  }
};
</script>
